com.beaglebuddy.mpeg.enums

## Enum StereoMode

- java.lang.Object
- - java.lang.Enum<StereoMode>
  - - com.beaglebuddy.mpeg.enums.StereoMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StereoMode>

      public enum StereoMode
      extends java.lang.Enum<StereoMode>

  The list of stereo modes supported by the LAME encoder.
  See Also:
    `LAMEHeader`, LAME Header Format

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DUAL` dual channel stereo
    `FORCE` force
    `INTENSITY` intensity
    `JOINT` joint stereo
    `MONO` mono
    `STEREO` stereo
    `UNDEFINED` undefined/different

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` gets the name of the stereo mode.
    `java.lang.String` | `toString()` gets a string representation of the stereo mode enum.
    `static StereoMode` | `valueOf(int mode)` converts an integral value to its corresponding stereo mode enum.
    `static StereoMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StereoMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MONO

          public static final StereoMode MONO

      mono

    - #### STEREO

          public static final StereoMode STEREO

      stereo

    - #### DUAL

          public static final StereoMode DUAL

      dual channel stereo

    - #### JOINT

          public static final StereoMode JOINT

      joint stereo

    - #### FORCE

          public static final StereoMode FORCE

      force

    - #### INTENSITY

          public static final StereoMode INTENSITY

      intensity

    - #### UNDEFINED

          public static final StereoMode UNDEFINED

      undefined/different

  - ### Method Detail

    - #### values

          public static StereoMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StereoMode c : StereoMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StereoMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      gets the name of the stereo mode.
      Returns:
        the name of the stereo mode.

    - #### valueOf

          public static StereoMode valueOf(int mode)
                                    throws java.lang.IllegalArgumentException

      converts an integral value to its corresponding stereo mode enum.
      Parameters:
        `mode` - integral value to be converted to an stereo mode enum.
      Returns:
        the stereo mode enum corresponding to the integral value.
      Throws:
        `java.lang.IllegalArgumentException` - if the value is not a valid stereo mode.

    - #### toString

          public java.lang.String toString()

      gets a string representation of the stereo mode enum.
      Overrides:
        `toString` in class `java.lang.Enum<StereoMode>`
      Returns:
        a string representation of the stereo mode enum.